namespace InterpreterLibrary.Models
{
	public class Vector
	{
		public int X { get; set; }
		public int Y { get; set; }

		public override bool Equals(object obj)
		{
			if (!(obj is Vector item))
			{
				return false;
			}

			return X == item.X && Y == item.Y;
		}

		public override int GetHashCode()
		{
			return X.GetHashCode() + Y.GetHashCode();
		}
	}
}

